ONEDATASTORE(1)

NAME
onedatastore

SYNOPSIS
onedatastore command [args] [options]

OPTIONS
 -c, --cluster id|name     Selects the cluster
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 --describe                Describe list columns
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create file

    Creates a new Datastore from the given template file
    valid options: cluster

•   delete range|datastoreid_list

    Deletes the given Datastore

•   chgrp range|datastoreid_list groupid

    Changes the Datastore group

•   chown range|datastoreid_list userid [groupid]

    Changes the Datastore owner and group

•   chmod range|datastoreid_list octet

    Changes the Datastore permissions

•   list

    Lists Datastores in the pool
    valid options: list, delay, xml, numeric, describe

•   show datastoreid

    Shows information for the given Datastore
    valid options: xml

•   update datastoreid [file]

    Update the template contents. If a path is not provided the editor will
    be launched to modify the current content.

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   datastoreid

    OpenNebula DATASTORE name or id

•   datastoreid_list

    Comma-separated list of OpenNebula DATASTORE names or ids

•   clusterid

    OpenNebula CLUSTER name or id

•   groupid

    OpenNebula GROUP name or id

•   userid

    OpenNebula USER name or id

LICENSE
OpenNebula 3.8.1 Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0